Package ghidra.app.util.bin.format.pe

# Enum Class PeSubsystem

java.lang.Object
java.lang.Enum<PeSubsystem>
ghidra.app.util.bin.format.pe.PeSubsystem

All Implemented Interfaces:
  `Serializable`, `Comparable<PeSubsystem>`, `Constable`

public enum PeSubsystem extends Enum<PeSubsystem>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IMAGE_SUBSYSTEM_EFI_APPLICATION`
  `IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER`
  `IMAGE_SUBSYSTEM_EFI_ROM`
  `IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER`
  `IMAGE_SUBSYSTEM_NATIVE`
  `IMAGE_SUBSYSTEM_NATIVE_WINDOWS`
  `IMAGE_SUBSYSTEM_OS2_CUI`
  `IMAGE_SUBSYSTEM_POSIX_CUI`
  `IMAGE_SUBSYSTEM_UNKNOWN`
  `IMAGE_SUBSYSTEM_WINDOWS_BOOT_APPLICATION`
  `IMAGE_SUBSYSTEM_WINDOWS_CE_GUI`
  `IMAGE_SUBSYSTEM_WINDOWS_CUI`
  `IMAGE_SUBSYSTEM_WINDOWS_GUI`
  `IMAGE_SUBSYSTEM_XBOX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlias()`
  `String`
  `getDescription()`
  `int`
  `getValue()`
  `static PeSubsystem`
  `parse(int id)`
  `static PeSubsystem`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PeSubsystem[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IMAGE_SUBSYSTEM_UNKNOWN

    public static final PeSubsystem IMAGE_SUBSYSTEM_UNKNOWN

  - ### IMAGE_SUBSYSTEM_NATIVE

    public static final PeSubsystem IMAGE_SUBSYSTEM_NATIVE

  - ### IMAGE_SUBSYSTEM_WINDOWS_GUI

    public static final PeSubsystem IMAGE_SUBSYSTEM_WINDOWS_GUI

  - ### IMAGE_SUBSYSTEM_WINDOWS_CUI

    public static final PeSubsystem IMAGE_SUBSYSTEM_WINDOWS_CUI

  - ### IMAGE_SUBSYSTEM_OS2_CUI

    public static final PeSubsystem IMAGE_SUBSYSTEM_OS2_CUI

  - ### IMAGE_SUBSYSTEM_POSIX_CUI

    public static final PeSubsystem IMAGE_SUBSYSTEM_POSIX_CUI

  - ### IMAGE_SUBSYSTEM_NATIVE_WINDOWS

    public static final PeSubsystem IMAGE_SUBSYSTEM_NATIVE_WINDOWS

  - ### IMAGE_SUBSYSTEM_WINDOWS_CE_GUI

    public static final PeSubsystem IMAGE_SUBSYSTEM_WINDOWS_CE_GUI

  - ### IMAGE_SUBSYSTEM_EFI_APPLICATION

    public static final PeSubsystem IMAGE_SUBSYSTEM_EFI_APPLICATION

  - ### IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER

    public static final PeSubsystem IMAGE_SUBSYSTEM_EFI_BOOT_SERVICE_DRIVER

  - ### IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER

    public static final PeSubsystem IMAGE_SUBSYSTEM_EFI_RUNTIME_DRIVER

  - ### IMAGE_SUBSYSTEM_EFI_ROM

    public static final PeSubsystem IMAGE_SUBSYSTEM_EFI_ROM

  - ### IMAGE_SUBSYSTEM_XBOX

    public static final PeSubsystem IMAGE_SUBSYSTEM_XBOX

  - ### IMAGE_SUBSYSTEM_WINDOWS_BOOT_APPLICATION

    public static final PeSubsystem IMAGE_SUBSYSTEM_WINDOWS_BOOT_APPLICATION

- ## Method Details

  - ### values

    public static PeSubsystem[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PeSubsystem valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAlias

    public String getAlias()

  - ### getValue

    public int getValue()

  - ### getDescription

    public String getDescription()

  - ### parse

    public static PeSubsystem parse(int id)